VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ViewCreatorAdapter Class Reference

View creator interface adapter. More...

Inheritance diagram for ViewCreatorAdapter:

## Public Member Functions
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (std::list< std::string > &attributeNames) const override
AttrType | getAttributeType (const std::string &attributeName) const override
bool | getAttributeValue (CView *view, const std::string &attributeName, std::string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const std::string &attributeName, std::list< const std::string * > &values) const override
bool | getAttributeValueRange (const std::string &attributeName, double &minValue, double &maxValue) const override
UTF8StringPtr | getDisplayName () const override
Public Member Functions inherited from IViewCreator
virtual | ~IViewCreator () noexcept=default
virtual IdStringPtr | getViewName () const =0
virtual IdStringPtr | getBaseViewName () const =0
virtual CView * | create (const UIAttributes &attributes, const IUIDescription *description) const =0

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType, kBooleanType, kIntegerType, kFloatType, kStringType, kColorType, kFontType, kBitmapType, kPointType, kRectType, kTagType, kListType, kGradientType }

## Detailed Description

View creator interface adapter.

## Member Function Documentation

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| inline override virtual

Implements IViewCreator.

bool getAttributeNames | ( | std::list< std::string > & | attributeNames | ) | const
| inline override virtual

Implements IViewCreator.

AttrType getAttributeType | ( | const std::string & | attributeName | ) | const
| inline override virtual

Implements IViewCreator.

bool getAttributeValue | ( | CView * | view,
|  | const std::string & | attributeName,
|  | std::string & | stringValue,
|  | const IUIDescription * | desc
| ) |  | const
| inline override virtual

Implements IViewCreator.

bool getAttributeValueRange | ( | const std::string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue
| ) |  | const
| inline override virtual

Implements IViewCreator.

UTF8StringPtr getDisplayName | ( |  | ) | const
| inline override virtual

Implements IViewCreator.

bool getPossibleListValues | ( | const std::string & | attributeName,
|  | std::list< const std::string * > & | values
| ) |  | const
| inline override virtual

Implements IViewCreator.

The documentation for this class was generated from the following file:

- iviewcreator.h